add config files
Seto Elkahfi committed
Apr 18, 2025 at 11:47 UTC
37d9109aac67fc07820eeb6ae33cf01b5ac3f059
2 files changed
+21
.npmrc
new
+1
@@ -0,0 +1 @@
1
+registry=https://registry.npmjs.com
.smb/deploy.sh
new
+20
@@ -0,0 +1,20 @@
1
+#!/bin/bash
2
+
3
+echo "------------------------ STARTING DEPLOYMENT ------------------------"
4
+
5
+# Check if the first argument is a directory
6
+if [ ! -d "$1" ]
7
+then
8
+ echo "😩 $1 is not a directory."
9
+ echo "🛑 Deployment failed."
10
+ exit 1
11
+fi
12
+
13
+# Change to working directory
14
+cd $1
15
+
16
+source ~/.profile
17
+nvm use
18
+pm2 restart 0 --update-env > /dev/null 2>&1 &
19
+
20
+echo "------------------------ DEPLOYED ------------------------"
\ No newline at end of file